org.eclipse.jdt.ui.cleanup

## Interface ICleanUpConfigurationUI

    public interface ICleanUpConfigurationUI

Provides the UI to configure a clean up.

Since:
  3.5

### Method Summary

All Methods Instance Methods Abstract Methods
`Composite` `createContents(Composite parent)` Creates the contents for this clean up configuration UI.
`int` `getCleanUpCount()` Returns the number of clean ups that can be configured.
`String` `getPreview()` A code snippet which complies to the current settings.
`int` `getSelectedCleanUpCount()` Returns the number of selected clean ups.
`void` `setOptions(CleanUpOptions options)` The options to modify in this section.

### Method Detail

#### setOptions

    void setOptions(CleanUpOptions options)

The options to modify in this section.

Note: If an option gets changed in the UI then this must immediately update the corresponding option in the here given clean up options.

Parameters:
  `options` - the options to modify

#### createContents

    Composite createContents(Composite parent)

Creates the contents for this clean up configuration UI.

Parameters:
  `parent` - the parent composite
Returns:
  created content control

#### getCleanUpCount

    int getCleanUpCount()

Returns the number of clean ups that can be configured.

Returns:
  the number of clean ups that can be configured

#### getSelectedCleanUpCount

    int getSelectedCleanUpCount()

Returns the number of selected clean ups.

Returns:
  the number of selected clean ups at the moment

#### getPreview

    String getPreview()

A code snippet which complies to the current settings.

Returns:
  a code snippet